
Figure - Bug #117048
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111051 (New): AF-V2.0-Launcher/SystemUI-通知中心

【AF】【EVT3】【通知中心】喜马拉雅车机版退出后台运行，在通知栏仍显示“正在后台收听”
2023-03-20 19:31 - CD Test赵飞

Status: CLOSED Start date: 2023-03-20

Priority: Normal Due date: 2023-04-04

Assignee: CD Test赵飞 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101(X101).202303191230

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0090.C103(X103)

Reproducibility: Every time Fixed Version: 2023-04-04

Test Type: ST Root cause: 喜马拉雅车机版未加入到音乐清理名单中。

Description

【前提条件】

1、设备正常启动

2、已安装喜马拉雅车机版应用

【测试步骤】）

1、打开喜马拉雅车机版应用

2、进入多任务管理，清除喜马拉雅车机版应用后台

3、进入通知中心查看

【预期结果】

3、通知中心中不存在喜马拉雅车机版应用的通知

【实际结果】

3、通知中心的隐藏通知中仍然显示“正在后台收听”

【复现率】

3/3

History

#1 - 2023-03-20 19:31 - CD Test赵飞

- File deleted (图片.png)

#2 - 2023-03-20 19:32 - CD Test赵飞

- File 图片.png added

#3 - 2023-03-21 19:43 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

■ 我的分析

改进程被清掉后，几秒内被再次重启，重新发送了该通知

■ 下一步解析计划

检查相关实现，确认是否需要优化该动作

2025-07-04 1/3



#4 - 2023-03-30 19:27 - CD FW-廖涛

- Assignee changed from CD FW 曹覃刚 to CD FW-廖涛

#5 - 2023-03-31 18:50 - CD FW-廖涛

- Due date set to 2023-04-04

#6 - 2023-04-04 18:55 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

191850 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:SystemUI: Add ximalaya car version to config_music_app_list.TC-RID: 1201-0201902IssueID: TS-R-BUG-117048Change-Id:

If3389db8dccf9b6a8cf4b1cad9c172bac7c8eda9

#7 - 2023-04-04 18:58 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to CD Test赵飞

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-04-04

- Root cause set to 喜马拉雅车机版未加入到音乐清理名单中。

■ Current conclusion

已经喜马拉雅车机版加入到音乐清理名单中，从 Recent 清理后可以正常停止音乐。

■ My analysis

由于通知栏的通知是 App 的播放服务起来后主动发送的，系统的进程策略针对前台服务是，在服务被杀掉后，会被拉起，所以通知栏的通知会由应用再

次创建处理。系统策略的逻辑不做处理，仅做停止播放。

■ Next action

测试验证。

#8 - 2023-04-12 11:22 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.R.user.01.00.0090.C103(X103)

4.12

验证通过

#9 - 2023-04-12 11:23 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files
图片.png 551 KB 2023-03-20 CD Test赵飞
